#
#
%undefine _missing_build_ids_terminate_build
%global _unpackaged_files_terminate_build 1

%define _prefix            /usr
%define mandir             /usr/share/man
%define sysconfdir         /etc/indimail

%if %{defined _project}
# define to 1 if building on openSUSE build service
%define build_on_obs       1
%define fast_mode          1
%else
%define build_on_obs       0
%define fast_mode          1
%global _hardened_build    1
%endif

%if %{defined nodebug}
%global debug_package %{nil}
%endif

Summary: Logfile monitoring, alert and analysis tool
Name: logalert
Version: 0.3.0
Release: 1.1%{?dist}
#Release: 1.<B_CNT>

%if %build_on_obs == 1
License: GPL-3.0+
%else
License: GPLv3
%endif
URL: http://www.indimail.org
Group: Productivity/Networking/Email/Utilities
Source0: http://downloads.sourceforge.net/indimail/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/indimail/%{name}-rpmlintrc

%if %build_on_obs == 1
BuildRequires: -post-build-checks  
%endif

%if %{defined suse_version} || %{defined sles_version}
BuildRequires: bison
%endif
%if 0%{?fedora_version} > 27 || 0%{?centos_version} > 700 || 0%{?rhel_version} > 700
BuildRequires: libtirpc libtirpc-devel
%endif
%if 0%{?suse_version} >= 1550 || 0%{?sle_version} >= 150300
BuildRequires: libtirpc3 libtirpc-devel
%endif
BuildRequires: pcre-devel libqmail-devel indimail-devel
BuildRequires: flex coreutils

%if %build_on_obs == 1
%define packager Manvendra Bhangui <logalert@indimail.org>
%endif

Requires: coreutils grep /bin/sh glibc
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
logalert is a logfile monitoring tool which executes a specific action
whenever it matches a string (pattern) occurrence.

It reads an entire file (or starts at the end, just like tail -f), keeps
track  of any changes, waiting for a specific pattern (a syslog process
error, a user login, ...) and fires an action you define when that happens.

logalert uses regular expression to match the pattern occurrence and executes
commands  via shell interaction. It deals fine with logrotation and temporary
removal normally used by sysadmins.

%prep
%setup -q

%build
%configure --prefix=%{_prefix}  \
  --sysconfdir=%{sysconfdir} \
  --mandir=%{mandir} \
  --datarootdir=%{_prefix}/share/indimail

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -fr $RPM_BUILD_ROOT
%{__make} -s DESTDIR=%{buildroot}
%if %{defined nodebug}
%{__make} -s DESTDIR=%{buildroot} install-strip
%else
%{__make} -s DESTDIR=%{buildroot} install
%endif
find %{buildroot}%{mandir} -type f -exec gzip -q {} \;

%files
%defattr(-,root,root)

%attr(0755,root,root)                          %{_prefix}/bin/logalert
%attr(0755,root,root)                          %{_prefix}/bin/logclient
%attr(0755,root,root)                          %{_prefix}/bin/incrmesg
%attr(0755,root,root)                          %{_prefix}/bin/showbytes
%attr(0755,root,root)                          %{_prefix}/sbin/rpclog
%attr(0755,root,root)                          %{_prefix}/sbin/logsrv
%attr(0644,root,root)     %config(noreplace)   %{sysconfdir}/logalert.perms
%attr(0444,root,root)     %config(noreplace)   %{sysconfdir}/%{name}-release

%doc %attr(0644,root,root)                     %{_prefix}/share/indimail/doc/logalert/LICENSE
%doc %attr(0644,root,root)                     %{_prefix}/share/indimail/doc/logalert/README.md

%doc %attr(0644,root,root)                     %{_mandir}/man1/incrmesg.1.gz
%doc %attr(0644,root,root)                     %{_mandir}/man1/logclient.1.gz
%doc %attr(0644,root,root)                     %{_mandir}/man1/showbytes.1.gz
%doc %attr(0644,root,root)                     %{_mandir}/man8/logalert.8.gz
%doc %attr(0644,root,root)                     %{_mandir}/man8/logsrv.8.gz
%doc %attr(0644,root,root)                     %{_mandir}/man8/rpclog.8.gz

%changelog
* Sun Aug 22 2021 15:33:38 +0000 Manvendra Bhangui <logalert@indimail.org> 0.3.0-1.1%{?dist}
Release 0.3.0-1.1 Start 25/02/2010
- parser.c, main.c, parser.y added -i option
- parser.y fixed return value of handle_conf_file()
- added debuginfo package
- use libidimail and remove common.c. Update common.h to remove functions
  present in libindimail
- PKGBUILD: Fix permissions for directories
