.LL 8i
.TH logclient 1
.SH NAME
logclient \- Send incremental messages in log files to a log server

.SH SYNOPSYS
\fBlogclient\fR [-f] \fIhostname\fR \fIlogfile1\fR [\fIlogfile2\fR] ...

.SH DESCRIPTION
.PP
\fBlogclient\fR takes name of logfiles as command line arguments, and for each logfile,
tranmits to a central log server running \fBlogsrv\fR(8), all lines that have got incrementally
added into the logfile since the last time \fBlogclient\fR(1) was run on the logfile(s). It
checks every 5 seconds for any new lines that may have got incrementally added. This interval
can be changed by defining \fBSLEEPINTERVAL\fR environment variable.

\fBlogclient\fR(1) maintains the check point against the position last read and 
message count for each logfile. All these numbers are maintained in the file
\fIlogfile\fR.seek in @prefix@/tmp. This directory where the checkpoint is maintained can
be changed by setting environment variable \fBSEEKDIR\fR.

\fIlogfile1\fR, \fIlogfile2\fR can be any text file.

.SH OPTIONS
.TP
\fB\-f\fR
Run in foreground
.TP
\fB\-n\fR \fIcertificate\fR
A client certificate which should be provided in  case  TLS  encryption  is
needed


.SH RETURN VALUE
0 if all steps were successful, non-zero otherwise. If any of the steps fail, a diagnostic
message is printed.

.SH "SEE ALSO"
logsrv(8), incrmesg(8)
